#include "rrclientOptionsWindow.h"
#include "rrclientOptionsView.h"

rrclientOptionsWindow::rrclientOptionsWindow(char *AWindowTitle, BRect AFrame)
				: BWindow(AFrame,AWindowTitle,B_TITLED_WINDOW, B_NOT_RESIZABLE | B_NOT_ZOOMABLE)
{
	aView = new rrclientOptionsView(Bounds());
	AddChild(aView);
}

void rrclientOptionsWindow::MessageReceived(BMessage* message)
{
	switch(message->what)
	{
		case CANCEL_OPTIONS_MSG:
			Quit();
			break;
		case SAVE_OPTIONS_MSG:
			aView->Save();
			break;
		default:
			BWindow::MessageReceived(message);
	}
}
